import greenfoot.*;

public class Level1 extends Level
{
    public Level1()
    {
        super(600, 510, 1, false);
        // the background
        getBackground().setColor(new java.awt.Color(224, 224, 255));
        getBackground().fill();
    }
    
    public void setFields()
    {
        // the level number
        LevelControl.setLevel(1);
        // the level map
        map = new String[]
        {
            "                    ",
            "                    ",
            "                    ",
            "                    ",
            "w                   ",
            "ww                  ",
            "www   www    www    ",
            "                    ",
            "                   w",
            "                  ww",
            "                 www",
            "     www   www  wwww",
            "ww                  ",
            "www                 ",
            "wwww                ",
            "wwwww   p           ",
            "wwwwwwwwwwwwwwwwwwww"
        };
    }
    
    // next level
    public void nextLevel()
    {
        Greenfoot.setWorld(new Level2());
    }
    
    // current level
    public void resetLevel()
    {
        Greenfoot.setWorld(new Level1());
    }
    
    // check to proceed to next level
    public void act()
    {
        // check for next level
        if (player.getX() == 8 && player.getY() == 112) nextLevel();
    }
}